cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bernhard Huber" <berni_hu...@a1.net>
Subject JSP Generator, Servlet 2.3
Date Mon, 19 Nov 2001 23:00:05 GMT
Hi
As I'm using WLS6.1 I have noticed that no current JSP component of 
Cocoon works.
As WLS6.1 is very restrictive regarding the HttpServletResponse, and 
HttpServletRequest,
accepting only WLS6.1 internal impl-classes, and the Servlet2.3 
HttpServletResponseWrapper,
and HttpServletRequestWrapper objects

Now, I created a new
JSPEngineImplNamedDispatcherInclude23 using the Servlet2.3 wrapper classes.

And it works with some restriction.
There is still a problem regarding WLS6.1 I found no way to display non 
ISO-8859-1 characters.
It seems that WLS6.1 uses internally some Chunk classes, writing 
directly bytes, but I have no
clear idea which in which encoding these bytes have. I think this is a 
problem as the XML parser
of cocoon complains about some wrong characters encoding.

Any ideas?

ciao berni



---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message